# OgreShaderPrerequisites.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Defines

#define | _OgreRTSSExport

## Typedefs

typedef GeneralAllocatedObject | Ogre::RTShaderSystemAlloc

## Enumerations

enum | Ogre::RTShader::VSOutputCompactPolicy { Ogre::RTShader::VSOCP_LOW = 0, Ogre::RTShader::VSOCP_MEDIUM = 1, Ogre::RTShader::VSOCP_HIGH = 2 }

## Functions

template<class T >
void | Ogre::RTShader::sh_hash_combine (uint32 &seed, T const &v)
| Utility function with same style as boost::hash_combine.

## Define Documentation

#define _OgreRTSSExport

Definition at line 108 of file OgreShaderPrerequisites.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52